import 'package:flutter/material.dart';

typedef Widget CreateWidget(Map<String, dynamic> model);

abstract class WidgetCreater {
  List<Widget> createWidgets(Map<String, dynamic> model);

  // 去除骨架屏返回，由widget内部实现是否展示与关闭
//  List<Widget> createSkeleton(Map<String, dynamic> model);

  bool isSliverChild() {
    return false;
  }
}
